Debian Libburnia packagers does not use Launchpad. This page was created on 2008-04-13 when the libburn_0.4.2-2~ppa1 package was uploaded to gutsy/RELEASE.

Is this a team you run?